Subject: Re: [PATCH v3 0/8] improve "git format-patch --commit-list-format"

From: Phillip Wood <[email-masked]>
Date: Thu, 26 Mar 2026 14:29:38 +0000

On 23/03/2026 20:10, Junio C Hamano wrote:
> Mirko Faina <[email-masked]> writes:
> 
>> Not much has changed, just applied the suggestions Kristoffer made.
>> Thank you again for the review
>>
>> [1/8] pretty.c: better die message %(count) and %(total) (Mirko Faina)
>> [2/8] format-patch: refactor generate_commit_list_cover (Mirko Faina)
>> [3/8] format-patch: rename --cover-letter-format option (Mirko Faina)
>> [4/8] docs/pretty-formats: add %(count) and %(total) (Mirko Faina)
>> [5/8] format.commitListFormat: strip meaning from empty (Mirko Faina)
>> [6/8] format-patch: wrap generate_commit_list_cover() (Mirko Faina)
>> [7/8] format-patch: add preset for --commit-list-format (Mirko Faina)
>> [8/8] format-patch: --commit-list-format without prefix (Mirko Faina)
>>
>>   Documentation/config/format.adoc    |  2 +-
>>   Documentation/git-format-patch.adoc | 19 ++++----
>>   Documentation/pretty-formats.adoc   |  4 ++
>>   builtin/log.c                       | 35 +++++++-------
>>   pretty.c                            |  4 +-
>>   t/t4014-format-patch.sh             | 72 +++++++++++++++++++----------
>>   t/t9902-completion.sh               |  1 -
>>   7 files changed, 84 insertions(+), 53 deletions(-)
> 
> All incremental changes look reasonable to me, and it seems we have
> already reached the point of diminishing returns?
> 
> It is possible that people are only commenting on low-hanging
> obvious typoes and mistakes without seeing a bigger picture,
> but I think I've read through an earlier iteration of the series,
> and found it more-or-less solid, and I do not think there was a
> drastic change of course since then, so I am happy to mark the topic
> for 'next' now.
> 
> Unless other people find bigger issues remaining in the series, that
> is, of course ;-)

I've just had a look at what you merged to next and it looks sound to 
me. The tweaks to the new feature in this series are very welcome 
improvements.

Thanks

Phillip

> Thanks.